"Impossible de mettre a jour tous les paquets"

Mon serveur YunoHost

**Matériel:NUC sous Proxmox
Version de YunoHost: 4.1.7.1
J’ai accès à mon serveur : En SSH | Par la webadmin | En direct avec un clavier/écran | …
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : non

Description du problème

Erreur lors d’un mise a jour des modules systèmes (mise a jour des applis OK)

Voici le log:

args:
  apps: null
  system: true
ended_at: 2021-04-04 09:30:53.401403
error: "Impossible de mettre \xE0 jour tous les paquets"
interface: api
operation: tools_upgrade
parent: null
related_to: []
started_at: 2021-04-04 09:30:50.138100
success: false
yunohost_version: 4.1.7.1

============

2021-04-04 11:30:50,154: INFO - Mise à jour des paquets du système (non liés a YunoHost)…
2021-04-04 11:30:50,741: DEBUG - Running apt command :
DEBIAN_FRONTEND=noninteractive APT_LISTCHANGES_FRONTEND=none apt-get --fix-broken --show-upgraded --assume-yes --quiet -o=Dpkg::Use-Pty=0 -o Dpkg::Options::="--force-confold" -o Dpkg::Options::="--force-confmiss" -o Dpkg::Options::="--force-confdef" dist-upgrade
2021-04-04 11:30:50,962: INFO - + Lecture des listes de paquets…
2021-04-04 11:30:51,266: INFO - + Construction de l'arbre des dépendances…
2021-04-04 11:30:51,268: INFO - + Lecture des informations d'état…
2021-04-04 11:30:51,671: INFO - + Calcul de la mise à jour…
2021-04-04 11:30:52,074: INFO - + Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
2021-04-04 11:30:52,075: INFO - +   php-igbinary php-imagick php-redis php-smbclient php5.6-igbinary
2021-04-04 11:30:52,076: INFO - +   php5.6-imagick php5.6-redis php5.6-smbclient php7.0-fpm php7.0-igbinary
2021-04-04 11:30:52,077: INFO - +   php7.0-imagick php7.0-redis php7.0-smbclient php7.1-igbinary php7.1-imagick
2021-04-04 11:30:52,078: INFO - +   php7.1-redis php7.1-smbclient php7.2-igbinary php7.2-imagick php7.2-redis
2021-04-04 11:30:52,079: INFO - +   php7.2-smbclient php7.4-fpm php7.4-igbinary php7.4-imagick php7.4-redis
2021-04-04 11:30:52,080: INFO - +   php7.4-smbclient php8.0-igbinary php8.0-imagick php8.0-redis
2021-04-04 11:30:52,081: INFO - +   php8.0-smbclient
2021-04-04 11:30:52,082: INFO - + Veuillez utiliser « apt autoremove » pour les supprimer.
2021-04-04 11:30:52,584: INFO - + Les NOUVEAUX paquets suivants seront installés :
2021-04-04 11:30:52,585: INFO - +   php5.6-common php7.1-common php7.2-common php8.0-common
2021-04-04 11:30:52,585: INFO - + Les paquets suivants ont été conservés :
2021-04-04 11:30:52,586: INFO - +   yunohost
2021-04-04 11:30:52,587: INFO - + Les paquets suivants seront mis à jour :
2021-04-04 11:30:52,587: INFO - +   libpcre3 libzstd1 php-apcu php-apcu-bc php-common php-igbinary php-imagick
2021-04-04 11:30:52,587: INFO - +   php-pear php-redis php-smbclient php5.6-apcu php5.6-igbinary php5.6-imagick
2021-04-04 11:30:52,588: INFO - +   php5.6-redis php5.6-smbclient php7.0-apcu php7.0-apcu-bc php7.0-cli
2021-04-04 11:30:52,588: INFO - +   php7.0-common php7.0-fpm php7.0-gd php7.0-igbinary php7.0-imagick
2021-04-04 11:30:52,589: INFO - +   php7.0-json php7.0-mbstring php7.0-opcache php7.0-readline php7.0-redis
2021-04-04 11:30:52,591: INFO - +   php7.0-smbclient php7.0-xml php7.0-zip php7.1-apcu php7.1-apcu-bc
2021-04-04 11:30:52,592: INFO - +   php7.1-igbinary php7.1-imagick php7.1-redis php7.1-smbclient php7.2-apcu
2021-04-04 11:30:52,593: INFO - +   php7.2-apcu-bc php7.2-igbinary php7.2-imagick php7.2-redis php7.2-smbclient
2021-04-04 11:30:52,593: INFO - +   php7.3-apcu php7.3-apcu-bc php7.3-bcmath php7.3-bz2 php7.3-cli php7.3-common
2021-04-04 11:30:52,594: INFO - +   php7.3-curl php7.3-fpm php7.3-gd php7.3-gmp php7.3-igbinary php7.3-imagick
2021-04-04 11:30:52,595: INFO - +   php7.3-imap php7.3-intl php7.3-json php7.3-ldap php7.3-mbstring php7.3-mysql
2021-04-04 11:30:52,596: INFO - +   php7.3-opcache php7.3-readline php7.3-redis php7.3-smbclient php7.3-soap
2021-04-04 11:30:52,597: INFO - +   php7.3-ssh2 php7.3-xml php7.3-zip php7.4-apcu php7.4-apcu-bc php7.4-cli
2021-04-04 11:30:52,598: INFO - +   php7.4-common php7.4-fpm php7.4-gd php7.4-igbinary php7.4-imagick
2021-04-04 11:30:52,598: INFO - +   php7.4-json php7.4-mbstring php7.4-opcache php7.4-readline php7.4-redis
2021-04-04 11:30:52,599: INFO - +   php7.4-smbclient php7.4-xml php7.4-zip php8.0-apcu php8.0-igbinary
2021-04-04 11:30:52,599: INFO - +   php8.0-imagick php8.0-redis php8.0-smbclient
2021-04-04 11:30:52,700: INFO - + 90 mis à jour, 4 nouvellement installés, 0 à enlever et 1 non mis à jour.
2021-04-04 11:30:52,701: INFO - + Il est nécessaire de prendre 1 043 ko/19,3 Mo dans les archives.
2021-04-04 11:30:52,702: INFO - + Après cette opération, 23,5 Mo d'espace disque supplémentaires seront utilisés.
2021-04-04 11:30:52,703: INFO - + Err :1 https://packages.sury.org/php buster/main amd64 php-redis amd64 5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4
2021-04-04 11:30:52,703: INFO - +   404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,704: INFO - + Err :2 https://packages.sury.org/php buster/main amd64 php7.1-redis amd64 5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4
2021-04-04 11:30:52,704: INFO - +   404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,705: INFO - + Err :3 https://packages.sury.org/php buster/main amd64 php7.2-redis amd64 5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4
2021-04-04 11:30:52,706: INFO - +   404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,706: INFO - + Err :4 https://packages.sury.org/php buster/main amd64 php7.3-redis amd64 5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4
2021-04-04 11:30:52,707: INFO - +   404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,707: INFO - + Err :5 https://packages.sury.org/php buster/main amd64 php7.4-redis amd64 5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4
2021-04-04 11:30:52,708: INFO - +   404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,710: INFO - + Err :6 https://packages.sury.org/php buster/main amd64 php8.0-redis amd64 5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4
2021-04-04 11:30:52,711: INFO - +   404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,712: INFO - + Err :7 https://packages.sury.org/php buster/main amd64 php5.6-redis amd64 5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4
2021-04-04 11:30:52,713: INFO - +   404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,713: INFO - + Err :8 https://packages.sury.org/php buster/main amd64 php7.0-redis amd64 5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4
2021-04-04 11:30:52,715: INFO - +   404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,816: WARNING - E: Impossible de récupérer https://packages.sury.org/php/pool/main/p/php-redis/php-redis_5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4_amd64.deb  404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,818: WARNING - E: Impossible de récupérer https://packages.sury.org/php/pool/main/p/php-redis/php7.1-redis_5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4_amd64.deb  404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,819: WARNING - E: Impossible de récupérer https://packages.sury.org/php/pool/main/p/php-redis/php7.2-redis_5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4_amd64.deb  404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,819: WARNING - E: Impossible de récupérer https://packages.sury.org/php/pool/main/p/php-redis/php7.3-redis_5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4_amd64.deb  404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,820: WARNING - E: Impossible de récupérer https://packages.sury.org/php/pool/main/p/php-redis/php7.4-redis_5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4_amd64.deb  404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,820: WARNING - E: Impossible de récupérer https://packages.sury.org/php/pool/main/p/php-redis/php8.0-redis_5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4_amd64.deb  404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,821: WARNING - E: Impossible de récupérer https://packages.sury.org/php/pool/main/p/php-redis/php5.6-redis_5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4_amd64.deb  404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,822: WARNING - E: Impossible de récupérer https://packages.sury.org/php/pool/main/p/php-redis/php7.0-redis_5.3.2+4.3.0-7+0~20210228.34+debian10~1.gbp893bd4_amd64.deb  404  Not Found [IP : 2606:4700:3030::ac43:b696 443]
2021-04-04 11:30:52,822: WARNING - E: Impossible de récupérer certaines archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?
2021-04-04 11:30:53,398: WARNING - Impossible de mettre à jour les paquets suivants : libpcre3, libzstd1, php-apcu-bc, php-apcu, php-common, php-igbinary, php-imagick, php-pear, php-redis, php-smbclient, php5.6-apcu, php5.6-igbinary, php5.6-imagick, php5.6-redis, php5.6-smbclient, php7.0-apcu-bc, php7.0-apcu, php7.0-cli, php7.0-common, php7.0-fpm, php7.0-gd, php7.0-igbinary, php7.0-imagick, php7.0-json, php7.0-mbstring, php7.0-opcache, php7.0-readline, php7.0-redis, php7.0-smbclient, php7.0-xml, php7.0-zip, php7.1-apcu-bc, php7.1-apcu, php7.1-igbinary, php7.1-imagick, php7.1-redis, php7.1-smbclient, php7.2-apcu-bc, php7.2-apcu, php7.2-igbinary, php7.2-imagick, php7.2-redis, php7.2-smbclient, php7.3-apcu-bc, php7.3-apcu, php7.3-bcmath, php7.3-bz2, php7.3-cli, php7.3-common, php7.3-curl, php7.3-fpm, php7.3-gd, php7.3-gmp, php7.3-igbinary, php7.3-imagick, php7.3-imap, php7.3-intl, php7.3-json, php7.3-ldap, php7.3-mbstring, php7.3-mysql, php7.3-opcache, php7.3-readline, php7.3-redis, php7.3-smbclient, php7.3-soap, php7.3-ssh2, php7.3-xml, php7.3-zip, php7.4-apcu-bc, php7.4-apcu, php7.4-cli, php7.4-common, php7.4-fpm, php7.4-gd, php7.4-igbinary, php7.4-imagick, php7.4-json, php7.4-mbstring, php7.4-opcache, php7.4-readline, php7.4-redis, php7.4-smbclient, php7.4-xml, php7.4-zip, php8.0-apcu, php8.0-igbinary, php8.0-imagick, php8.0-redis, php8.0-smbclient

J’ai tenté apt-get update j’obtiens ces erreurs:

root@millesabords:~# apt-get update
Atteint :1 http://forge.yunohost.org/debian buster InRelease
Réception de :2 https://packages.sury.org/php buster InRelease [6 823 B]
Atteint :3 http://security.debian.org/debian-security buster/updates InRelease
Atteint :4 http://ftp.debian.org/debian buster InRelease
Err :2 https://packages.sury.org/php buster InRelease
  Les signatures suivantes ne sont pas valables : EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
Atteint :5 http://ftp.debian.org/debian buster-updates InRelease
Lecture des listes de paquets... Fait
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : https://packages.sury.org/php buster InRelease : Les signatures suivantes ne sont pas valables : EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
W: Impossible de récupérer https://packages.sury.org/php/dists/buster/InRelease  Les signatures suivantes ne sont pas valables : EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

Merci pour votre aide.

sudo apt-key del 95BD4743;
wget -nv -O - https://packages.sury.org/php/apt.gpg | sudo apt-key add -
2 Likes

Idem, même erreur rencontrée depuis deux jours.

Merci, cela a résolu le problème :wink:

1er ligne OK.
La 2eme ligne ne passe pas


Merci

Il faut bien mettre le caractère | entre gpg et sudo ( AltGr+6 sur mon clavier).
Je te conseille de faire un copier collé de la commande d’Aleks pour être sûr d’éviter ce genre d’erreur.

Merci! ca marche avec un copié collé via Putty.